Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1367249 - Deployments and Pods log are truncated on Monitoring page
Summary: Deployments and Pods log are truncated on Monitoring page
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OKD
Classification: Red Hat
Component: Management Console
Version: 3.x
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 3.x
Assignee: Robb Hamilton
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-16 03:22 UTC by Yadan Pei
Modified: 2016-09-19 13:49 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-19 13:49:28 UTC


Attachments (Terms of Use)
CompareLogs (deleted)
2016-08-16 03:33 UTC, Yadan Pei
no flags Details

Description Yadan Pei 2016-08-16 03:22:48 UTC
Description of problem:
Deployments and Pods logs are truncated at bottom line on Monitoring page,sometimes logs are not completely displayed

Version-Release number of selected component (if applicable):
v3.3.0.19

How reproducible:
Always

Steps to Reproduce:
1. Create app from image on web console
2. Go to Monitoring page to monitor Builds, Deployments, Pods 
3. Check deployments and pods logs

Actual results:
3. Scroll to the bottom, some lines of deployments and pods logs are truncated, and some logs are not completely displayed

Expected results:
3. Logs should display well

Additional info:

Comment 1 Yadan Pei 2016-08-16 03:33:52 UTC
Created attachment 1191050 [details]
CompareLogs

Comment 2 Yadan Pei 2016-08-16 03:37:25 UTC
In attachment screenshot,

The above part is log displaying on Firefox, the below part is log displaying on Chrome.

On Firefox, logs are truncated

Comment 3 Robb Hamilton 2016-08-16 14:02:09 UTC
PR to resolve bug:  https://github.com/openshift/origin-web-console/pull/381

Comment 4 Jessica Forrester 2016-08-16 22:36:44 UTC
merging to origin in https://github.com/openshift/origin/pull/10470

Comment 5 Yadan Pei 2016-08-18 06:29:35 UTC
Changed product to ORIGIN then we could verify changes earlier and found potential issues as early as possible

Comment 6 Yadan Pei 2016-08-19 06:33:15 UTC
Manually vendor latest origin-web-console into origin and tested


Now on Monitoring page, for deployments & pods, when scroll to the bottom logs are completely shown


Note You need to log in before you can comment on or make changes to this bug.